Get submissions by form
Returns a paginated list of submissions for a form. Filter by submitted_after or submitted_before to retrieve submissions in a specific time window. Timestamps in the filter parameters use ISO 8601 format.
Path Parameters
- Type: stringform
_id requiredUnique identifier of the form.
Query Parameters
- Type: integerlimitmin:1max:1000
Maximum number of objects to return. Range: 1–1000.
- Type: integerskipmin:0
Number of objects to skip for pagination.
- Type: stringsubmitted
_after Filter by form which were submitted after a date (in iso 8601).
- Type: stringsubmitted
_before Filter by form which were submitted after a date (in iso 8601).
Responses
- application/json
- application/json
- application/json
Request Example for get/apis/forms/forms/{form_id}/submissions
curl 'https://school.fullfabric.cloud/apis/forms/forms/507f1f77bcf86cd799439011/submissions?limit=10&skip=0&submitted_after=&submitted_before=' \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
[
{
"id": "6385be69976a7719120134c2",
"submitted_at": 1710892800,
"first_name": "Sophie",
"last_name": "Martin",
"email": "sophie.martin@example.com",
"__programme_interest": "MBA Full-Time"
},
{
"id": "6385be69976a7719120134c8",
"submitted_at": 1710806400,
"first_name": "Marcus",
"last_name": "Hoffmann",
"email": "marcus.hoffmann@example.com",
"__programme_interest": "Executive MBA"
},
{
"id": "6385be69976a7719120134ce",
"submitted_at": 1710720000,
"first_name": "Elena",
"last_name": "Rossi",
"email": "elena.rossi@example.com",
"__programme_interest": "MSc Finance"
}
]